<!doctype html>
<html lang="it">
<head>
<meta charset="UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0;">
<meta name="author" content="Simone Baldassin Webdesign">
<title>Quanti anni hai?</title>
<link rel="stylesheet" href="CSS/style.css">
<link rel="shortcut icon" type="image/x-icon" href="Immagini/favicon.png">

<!--[if IE]>
    <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->

</head>

<body>
<div class="contain">
	<h1>Quanti anni hai?</h1>
    
<?php if (!isset($_POST['calcola'])) { ?>

    <p>Inserisci la tua data di nascita</p>
    
    <form action="index.php" method="post">
    	<input type="text" name="data" placeholder="GG/MM/AAAA">
        <button type="submit" name="calcola">Calcola</button>
    </form>
    
<?php } else if (substr($_POST['data'],2,1) != '/' || substr($_POST['data'],5,1) != '/') {
		
		echo "<p>Attenzione, formato non corretto!!</p>";
		echo "<a href=\"index.php\" class=\"button\">Torna al form</a>";
		
		} else {
			
			$data=explode('/', $_POST['data']);
				
				if (checkdate($data[1], $data[0], $data[2]) != true) {
					echo "<p>Attenzione, la data inserita non esiste!!</p>";
					echo "<a href=\"index.php\" class=\"button\">Torna al form</a>";
				} else {
					$anno_di_nascita=mktime(0,0,0,$data[1], $data[0], $data[2]);
					$annozero=time(0,0,0,0,0,0);
					$result=$annozero - $anno_di_nascita;
					$conversione=round(($result/86400)/365, 0);
					
					echo "<p>Hai la bellezza di:</p>";
					echo "<h2>$conversione anni!!</h2>";
					echo "<a href=\"index.php\" class=\"button\">Torna al form</a>";
				}
		}
?>
</div>

</body>
</html>